﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using System.Data.SqlTypes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.Reporting;
using System.Windows.Markup;
using System.Threading;
// using iAnywhere.Data.AsaClient;
using System.Xml;

namespace VSS2XGUI
{
    /// <summary>
    /// Interaction logic for BaseContentControl.xaml
    /// </summary>
    public partial class BaseContentControl : UserControl
    {
       
        protected string mDataSetName;
        protected string mDataTableName;     
        protected DataSet mDBDataSet = new DataSet();
        protected DataView mDBDataView;

        protected Record Prevdr = null;

        protected int EnterCount = 0;


        public BaseContentControl()
        { 
            InitializeComponent();
        }

        private void BaseContentCtrl_Loaded(object sender, RoutedEventArgs e)
        {            
            xamMainDataGrid.Language = XmlLanguage.GetLanguage(Thread.CurrentThread.CurrentCulture.Name);
        }

        public void RefreshData(bool fDontAssignDatasourceToGrid)
        {
            try
            {                
                Mouse.OverrideCursor = Cursors.Wait;
  
                // Try to get the data from embedded resource files (XMLFiles)
                StoredDataSets StoredDS = new StoredDataSets();
                XmlReader XMLReader = XmlReader.Create(new StringReader(StoredDS.UserAccountsData));
                mDBDataSet.ReadXml(XMLReader);
                mDBDataSet.ReadXmlSchema(XmlReader.Create(new StringReader(StoredDS.UserAccountDataSchema)));

                if (!fDontAssignDatasourceToGrid)
                {
                    xamMainDataGrid.DataSource = mDBDataSet.Tables[0].DefaultView;
                }
            }
            catch (SqlException Ex)
            {
                MessageBox.Show(Ex.ToString());
            }
            catch (Exception Ex)
            {
                MessageBox.Show(Ex.ToString());
            }
            finally
            {
                Mouse.OverrideCursor = null;
            }
        }




        private void xamMainDataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {

            MessageBox.Show("Double Click Event", "Double Click", MessageBoxButton.OKCancel, MessageBoxImage.Information);
            e.Handled = true;
        }

        DateTime mLastKeyEventLeaveTime = new DateTime();

        private void xamMainDataGrid_PreviewKeyUp(object sender, KeyEventArgs e)
        {
            long TickCount = DateTime.Now.Ticks - mLastKeyEventLeaveTime.Ticks;
            
            if (TickCount > 5000000)
            {
                if (e.Key == Key.Enter)
                {
                    EnterCount++;
                    MessageBox.Show("Enter Key Event No. " + EnterCount.ToString() + ", Tick Count = " + TickCount.ToString(), "Enter Key", MessageBoxButton.OKCancel, MessageBoxImage.Information);
                    e.Handled = true;
                }
                mLastKeyEventLeaveTime = DateTime.Now;
            }

        }



        private void BaseContentCtrl_Initialized(object sender, EventArgs e)
        {            
            HorizontalAlignment = HorizontalAlignment.Stretch;
            VerticalAlignment = VerticalAlignment.Stretch;
            Width = Double.NaN;    // 
            Height = Double.NaN;   //             
        }


    }

  
}
