﻿

using System.Data;
using System.Xml;
using System;
using System.IO;
using System.Reflection;
namespace VSS2XGUI
{
    public class StoredDataSets
    {
        public StoredDataSets()
        {
            UserAccountsData = GetFromResources("VSS2XGUI.UserAccountData.xml");
            UserAccountDataSchema = GetFromResources("VSS2XGUI.UserAccountDataSchema.xml");       
        }

        public string UserAccountsData = "";
        public string UserAccountDataSchema = "";

        static string GetXmlString(string strFile)
        {
            // Load the xml file into XmlDocument object.
            XmlDocument xmlDoc = new XmlDocument();
            try
            {
                xmlDoc.Load(strFile);
            }
            catch (XmlException e)
            {
                Console.WriteLine(e.Message);
            }
            // Now create StringWriter object to get data from xml document.
            StringWriter sw = new StringWriter();
            XmlTextWriter xw = new XmlTextWriter(sw);
            xmlDoc.WriteTo(xw);
            return sw.ToString();
        }


        string GetFromResources(string resourceName)
        {
            Assembly assem = this.GetType().Assembly;
            using (Stream stream = assem.GetManifestResourceStream(resourceName))
            {
                try
                {
                    using (StreamReader reader = new StreamReader(stream))
                    {
                        return reader.ReadToEnd();
                    }
                }
                catch (Exception e)
                {
                    throw new Exception("Error retrieving from Resources. Tried '"
                                             + resourceName + "'\r\n" + e.ToString());
                }
            }
        }


    }
}